#ifndef PROP_DLG_DEVICE_NODE_H
#define PROP_DLG_DEVICE_NODE_H

#include <gtk/gtk.h>
#include "edv_types.h"
#include "libendeavour2-base/edv_vfs_obj.h"
#include "libendeavour2-base/edv_recycled_obj.h"
#include "prop_dlg.h"


extern gboolean EDVPropertiesDeviceNodePageCheckSupportCB(
	EDVPropertiesDialog *d,
	const EDVObjectType type,
	const EDVLocationType location_type,
	GList *properties_list
);
extern gpointer EDVPropertiesDeviceNodePageCreateCB(
	EDVPropertiesDialog *d,
	GtkWidget *parent
);
extern void EDVPropertiesDeviceNodePageUpdateCB(
	EDVPropertiesDialog *d,
	const EDVObjectType type,
	const EDVLocationType location_type,
	GList *properties_list,
	const int error_code,
	gpointer data
);
extern gboolean EDVPropertiesDeviceNodePageApplyVFSCB(
	EDVPropertiesDialog *d,
	const EDVObjectType type,
	GList *properties_list,
	gpointer data
);
extern gboolean EDVPropertiesDeviceNodePageApplyRecBinCB(
	EDVPropertiesDialog *d,
	const EDVObjectType type,
	GList *properties_list,
	gpointer data
);
extern void EDVPropertiesDeviceNodePageDestroyCB(gpointer data);


#endif	/* PROP_DLG_DEVICE_NODE_H */
