#ifndef PROP_DLG_DETAILS_H
#define PROP_DLG_DETAILS_H

#include <gtk/gtk.h>
#include "edv_types.h"
#include "prop_dlg.h"


extern gboolean EDVPropertiesDetailsPageCheckSupportCB(
	EDVPropertiesDialog *d,
	const EDVObjectType type,
	const EDVLocationType location_type,
	GList *properties_list
);
extern gpointer EDVPropertiesDetailsPageCreateCB(
	EDVPropertiesDialog *d,
	GtkWidget *parent
);
extern void EDVPropertiesDetailsPageUpdateCB(
	EDVPropertiesDialog *d,
	const EDVObjectType type,
	const EDVLocationType location_type,
	GList *properties_list,
	const int error_code,
	gpointer data
);
extern void EDVPropertiesDetailsPageDestroyCB(gpointer data);



#endif	/* PROP_DLG_DETAILS_H */
