#ifndef PROP_DLG_DEVICE_H
#define PROP_DLG_DEVICE_H

#include <gtk/gtk.h>
#include "edv_types.h"
#include "prop_dlg.h"


extern gboolean EDVPropertiesDevicePageCheckSupportCB(
	EDVPropertiesDialog *d,
	const EDVObjectType type,
	const EDVLocationType location_type,
	GList *properties_list
);
extern gpointer EDVPropertiesDevicePageCreateCB(
	EDVPropertiesDialog *d,
	GtkWidget *parent
);
extern void EDVPropertiesDevicePageUpdateCB(
	EDVPropertiesDialog *d,
	const EDVObjectType type,
	const EDVLocationType location_type,
	GList *properties_list,
	const int error_code,
	gpointer data
);
extern void EDVPropertiesDevicePageDestroyCB(gpointer data);



#endif	/* PROP_DLG_DEVICE_H */
