#ifndef PROP_DLG_GENERAL_H
#define PROP_DLG_GENERAL_H

#include <gtk/gtk.h>
#include "edv_types.h"
#include "prop_dlg.h"


extern gboolean EDVPropertiesGeneralPageCheckSupportCB(
	EDVPropertiesDialog *d,
	const EDVObjectType type,
	const EDVLocationType location_type,
	GList *properties_list
);
extern gpointer EDVPropertiesGeneralPageCreateCB(
	EDVPropertiesDialog *d,
	GtkWidget *parent
);
extern void EDVPropertiesGeneralPageUpdateCB(
	EDVPropertiesDialog *d,
	const EDVObjectType type,
	const EDVLocationType location_type,
	GList *properties_list,
	const int error_code,
	gpointer data
);
extern gboolean EDVPropertiesGeneralPageApplyVFSCB(
	EDVPropertiesDialog *d,
	const EDVObjectType type,
	GList *properties_list,
	gpointer data
);
extern gboolean EDVPropertiesGeneralPageApplyRecBinCB(
	EDVPropertiesDialog *d,
	const EDVObjectType type,
	GList *properties_list,
	gpointer data
);
extern void EDVPropertiesGeneralPageDestroyCB(gpointer data);


#endif	/* PROP_DLG_GENERAL_H */
