#ifndef PROP_DLG_LINK_H
#define PROP_DLG_LINK_H

#include <gtk/gtk.h>
#include "edv_types.h"
#include "libendeavour2-base/edv_vfs_obj.h"
#include "libendeavour2-base/edv_recycled_obj.h"
#include "prop_dlg.h"


extern gboolean EDVPropertiesLinkPageCheckSupportCB(
        EDVPropertiesDialog *d,
        const EDVObjectType type,
        const EDVLocationType location_type,
        GList *properties_list
);
extern gpointer EDVPropertiesLinkPageCreateCB(
	EDVPropertiesDialog *d,
	GtkWidget *parent
);
extern void EDVPropertiesLinkPageUpdateCB(
	EDVPropertiesDialog *d,
	const EDVObjectType type,
	const EDVLocationType location_type,
	GList *properties_list,
	const int error_code,
	gpointer data
);
extern gboolean EDVPropertiesLinkPageApplyVFSCB(
	EDVPropertiesDialog *d,
	const EDVObjectType type,
	GList *properties_list,
	gpointer data
);
extern gboolean EDVPropertiesLinkPageApplyRecBinCB(
	EDVPropertiesDialog *d,
	const EDVObjectType type,
	GList *properties_list,
	gpointer data
);
extern void EDVPropertiesLinkPageDestroyCB(gpointer data);


#endif	/* PROP_DLG_LINK_H */
